<template>
  <AccountInformationVue
    v-if="isDesktop || selectedThemeName.includes('peru')"
  />
  <ThemeCommonMobileMainAccountInfo
    v-else-if="!isDesktop && selectedThemeName === 'main'"
  />
  <MAccountInformationVue v-else />
</template>

<script lang="ts" setup>
import AccountInformationVue from "@/components/theme/common/desktop/account/AccountInformation.client.vue";
import MAccountInformationVue from "@/components/theme/common/mobile/account/AccountInformation.client.vue";
import { store } from "~~/store";

const { isDesktop } = useDevice();
const selectedThemeName = computed(() => store.state.selectedThemeName);
</script>
<style></style>
